if exists (select * from sysobjects where id = object_id(N'[dbo].[mg_category]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[mg_category]
GO
CREATE TABLE [dbo].[mg_category] (
	[id] [int] IDENTITY(1, 1) NOT NULL,
	[name] [varchar](255) NOT NULL,
	PRIMARY KEY (id),
) ON [PRIMARY]
GO
INSERT INTO [dbo].[mg_category] (name) VALUES ('Administrace systmu')
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[mg_links]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[mg_links]
GO
CREATE TABLE [dbo].[mg_links] (
	[id] [int] IDENTITY(1, 1) NOT NULL,
	[label] [varchar](255) NOT NULL,
	[url] [varchar](255) NOT NULL,
	[category] [int] NOT NULL,
	[target] [varchar](10) NOT NULL,
	PRIMARY KEY (id),
) ON [PRIMARY]
GO
INSERT INTO [dbo].[mg_links] (label,url,category,target) VALUES ('Odhen', 'index.php?op=logout', 1, '_self')
GO
INSERT INTO [dbo].[mg_links] (label,url,category,target) VALUES ('Zmna hesla', 'index.php?op=changepass', 1, '_self')
GO
INSERT INTO [dbo].[mg_links] (label,url,category,target) VALUES ('Administrace uivatel', 'user.php', 1, '_self')
GO
INSERT INTO [dbo].[mg_links] (label,url,category,target) VALUES ('Administrace odkaz', 'links.php', 1, '_self')
GO
INSERT INTO [dbo].[mg_links] (label,url,category,target) VALUES ('Administrace kategori', 'category.php', 1, '_self')
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[mg_user]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[mg_user]
GO
CREATE TABLE [dbo].[mg_user] (
	[id] [int] IDENTITY(1, 1) NOT NULL,
	[name] [varchar](255) NOT NULL,
	[password] [varchar](255) NOT NULL,
	[mail] [varchar](255) NOT NULL,
	PRIMARY KEY (id),
) ON [PRIMARY]
GO
INSERT INTO [dbo].[mg_user] (name,password,mail) VALUES ('administrator', '200ceb26807d6bf99fd6f4f0d1ca54d4', 'name@domain.cz')
GO
