<?php
	error_reporting(0);		// 0 NONE, 1 E_ERROR, 2 E_WARNING, 4 E_PARSE, 8 E_NOTICE  

// function for connect to db
function connectdb() {
	require 'com.inc';	// include variables
	 switch ($DBTYPE) {
	 case "mysql":
		MYSQL_CONNECT($DB_SERVER,$DB_LOGIN,$DB_PASSWORD) or DIE(M_ERROR3);
		MYSQL_SELECT_DB($DB) or DIE(M_ERROR4);
	 break;
	 case "mssql":
		MSSQL_PCONNECT($DB_SERVER,$DB_LOGIN,$DB_PASSWORD) or DIE(M_ERROR3);
		MSSQL_SELECT_DB($DB) or DIE(M_ERROR4);
	 break;
	 case "ora":
		OCIPLogon($DB_LOGIN,$DB_PASSWORD,$DB) or DIE(M_ERROR3);
	 break;
	 default:
		MYSQL_CONNECT($DB_SERVER,$DB_LOGIN,$DB_PASSWORD) or DIE(M_ERROR3);
		MYSQL_SELECT_DB($DB) or DIE(M_ERROR4);
	 }
}


//multipage navigation
function pagenav(){
    global $limit,$offset,$numpage,$sr;
	$pos = strpos ($sr, "?");
    echo "
    <TABLE CELLPADDING=0 BORDER=0 CELLSPACING=5 class=\"pagenavtable\">
    <TR>
	<TD ALIGN=RIGHT class=\"pagenavtd\">";
	if ($offset >= $limit){
	    $newoff = $offset - $limit;
		if ($pos === false){
	    echo "<A HREF=\"$sr?offset=$newoff\" class=\"pagenav\"><img src=img/previous.gif alt='". C_PREVIOUS ."' border='0'></A><TD>\n";
				   }else{
	    echo "<A HREF=\"$sr&offset=$newoff\" class=\"pagenav\"><img src=img/previous.gif alt='". C_PREVIOUS ."' border='0'></A><TD>\n";
				   }
	} else {
	    echo "";
	}
	echo "<TD ALIGN=CENTER class=\"pagenavtd\">";
	for ($i=1; $i<=$numpage; $i++) {
	    if ((($i - 1)*$limit) == $offset) {
		print "$i";
	    echo "&nbsp;";	    
	    } else {
		$newoff = ($i - 1)*$limit;		
		if ($pos === false){
		echo "<A HREF=\"$sr?offset=$newoff\" class=\"pagenav\">$i</A>\n";
                                   }else{
		echo "<A HREF=\"$sr&offset=$newoff\" class=\"pagenav\">$i</A>\n";
}
	    }
	    echo "&nbsp;";	    
	}
	echo "</TD>
	<TD ALIGN=LEFT class=\"pagenavtd\">";
	if ($offset != $limit*($numpage - 1)) {
	    $newoff=$offset + $limit;
		if ($pos === false){
	    echo "<A HREF=\"$sr?offset=$newoff\" class=\"pagenav\"><img src=img/next.gif alt='". C_NEXT ."' border='0'></A></TD>\n";
				   }else{
	    echo "<A HREF=\"$sr&offset=$newoff\" class=\"pagenav\"><img src=img/next.gif alt='". C_NEXT ."' border='0'></A></TD>\n";
				   }


        } else {
	    echo "</TD>\n";
        }
	echo "</TR>
    </TABLE>";
}

function odd_even($num){
    	if(!is_long($num/2)){
    		$rtn = 1;
    	}else{
    		$rtn = 0;
    	}
    	return $rtn;
    }

function convertdate($indt,$formatdate)
{
if ($indt=="0000-00-00"){
  $oudt="";
} else {
  if (($timestamp = strtotime($indt)) === -1) {
     $oudt="";
  } else {
    $oudt=date($formatdate,$timestamp);
  }
}
return $oudt;
}

//increment date
//properties:	$num - number of incerement date (e.g. 1,2... or -1,-2...), if num=0 then now date
//		$form - format date, 0 - DD.MM.YYYY, 1 - YYYY-MM-DD, 2 - MM/DD/YYYY
//		$ad - incerement 0 - positive, 1 - negative
function incdate($num,$ad,$form){
	if ($ad>1) $ad=0;
	if ($form>2) $form=0;
	switch ($form) {
	 case 0:
	       	$f='d.m.Y';
	 break;
	 case 1:
		$f='Y-m-d';
	 break;
	 case 2:
		$f='m/d/Y';
	 break;
	 default:
	       	$f='d.m.Y';
	}
 $i=$num*86400;
	 switch ($ad) {
	 case 0:
	       	$datum=Date($f,time()+$i);
	 break;
	 case 1:
		$datum=Date($f,time()-$i);
	 break;
	}
return $datum;

}

function gen_option(){
global $tbl,$fld;
$query=("SHOW COLUMNS FROM $tbl LIKE '$fld'");
$result = mssql_query($query);
$row_array = mssql_fetch_row($result);
$mystring = $row_array[1];
$mystring = substr($mystring,(strpos($mystring,"'"))+1,strlen($mystring));
while (strpos($mystring,"'")>0) :
$mysubstring =substr($mystring,0,(strpos($mystring,"'")));
$mystring = substr($mystring,(strpos($mystring,"'"))+3,strlen($mystring));
echo("<option value=\"$mysubstring\">$mysubstring</option>\n");
endwhile;
}


function gen_reloption(){
global $tbl;
$result = mssql_query("select * from $tbl order by name");
for ($i = 0; $i < mssql_num_rows($result); $i++) { 
	$row_array = mssql_fetch_row($result);
	echo("<option value=\"$row_array[0]\">$row_array[1]</option>\n");
						 }
}

//generate component input
function input($name,$type,$value,$size,$fce) {
	echo ("<input name=\"$name\" type=\"$type\" value=\"$value\" size=\"$size\" $fce>\n");
}

//generate component textarea
function text($name,$value,$rows,$cols,$fce) {
	echo ("<textarea name=\"$name\" rows=\"$rows\" cols=\"$cols\" $fce>\n$value\n</textarea>\n");
}

// autenticate user login
function autenticateuser($name,$pass) {
	$result = mssql_query("select mg_user.password from mg_user where mg_user.name='$name'");
	if ($result == 0){
	    			return(false);
			 }else{
				$row_array = mssql_fetch_row($result);
				if ((md5($pass))<>($row_array[0])){
								return(false);
							      }else{
								return(true);
							      }
			  }
}

//reset user password
function resetpassword($userid) {
	$result = mssql_query("select name from mg_user where id=$userid");
	if ($result == 0){
	    			return(false);
			 }else{
				$row_array = mssql_fetch_row($result);
				$p=md5($row_array[0]);
				$result = mssql_query("update mg_user set password='$p' where id=$userid");	
				if ($result == 0){
	    				return(false);
			 			 }else{
					return(true);
	   				         }
			 }
}

//resend user password
function resendpassword($username) {
	$result = mssql_query("select mail from mg_user where name='$username'");
	if ($result == 0){
	    			return(false);
			 }else{
				//get user mailadress
				$row_array = mssql_fetch_row($result);
				$uemail=$row_array[0];
				//get random password
					if (($uemail=='')||($SERVER_ADMIN=='')) {
	    							return(false);
									  }else{
								$gen=rand(10000,99999);
								$p=md5($gen);
								$result = mssql_query("update mg_user set password='$p' name='$username'");	
									if ($result == 0){
						    				return(false);
			 								 }else{
										$recipient .= $uemail;
										$subject = L_MAILSENDPASS;
										$message .= L_USER.": $username \n";
										$message .= L_PASS.": $gen \n";
										$headers .= "From: < $SERVER_ADMIN >\n";
										$headers .= "X-Sender: < $SERVER_ADMIN >\n";
										$headers .= "Return-Path: < $SERVER_ADMIN >\n";
										mail($recipient, $subject, $message, $headers);
										return(true);
	   									         }
						  			  }
			 }
}

// checking value 
function valuecheck($value,$value1,$fce) {
     switch($fce) {
        case 'is_fill': // kontrola, zda je pole vyplneno
          if ($value == '') {$ret = false;}else{$ret = true;}
          break;
        case 'is_email': // kontrola, zda je email v platnem formatu
          if (!ereg('.+@.+\..+', $value)) {$ret = false;}else{$ret = true;}
          break;
        case 'is_eq': // kontrola, zda je shodny s jinym polem
          if ($value != $value1) {$ret = false;}else{$ret = true;}
          break;
        case 'check_date' : // kontrola platnosti datumu
          if (ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})",
              $value, $regs)) {
            if (!checkdate ($regs[2], $regs[3], $regs[1])) {$ret = false;}else{$ret = true;}
          } else {
              $ret = false;
          }
         break;
      }	
 return $ret;
}

// convert value 
function valueconvert($value,$fce) {
 switch($fce) {
        case 'int':      // pevod na cel slo
          $value = (int)$value;
          break;
        case 'float':    // pevod na desetinn slo
          $value = (float)$value;
          break;
        case 'trim':     // odstrann blch znak na konci a zatku
          $value = trim($value);
          break;
        case 'date_cz2iso': // pevod datumu
          if (ereg ('([0-9]{1,2})\.([0-9]{1,2})\.([0-9]{4})',
                    $value, $regs)) {
            $value = sprintf('%04d-%02d-%02d',
                             $regs[3],$regs[2],$regs[1]);
          };
          break;
      };
 return $value;
}

?>
